package com.steerinfo.ems.trmcalpoint.mapper;

import com.steerinfo.ems.trmcalpoint.model.TRmCalpoint;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface TRmCalpointMapper extends IBaseMapper<TRmCalpoint, String> {
	/**
	 * 获得计量层级列表（计量点数据录入）
	 * 
	 * @return
	 */
	List<Map> getRmCalpoint();

	/**
	 * 获取电计量点最大流水号
	 * 
	 * @param head
	 * @return
	 */
	String getMaxId(@Param("head") String head);

	/**
	 * 能源调度管理-计量点数据管理-计量点数据录入列表
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getDate312(HashMap<String, Object> parmas);

	/**
	 * 能源调度管理-计量点数据管理-计量点数据趋势图
	 * @param mp
	 * @return
	 */
	List<Map<String, Object>> getDate312ForChart(Map<String, Object> mp);

	void updateNewItem(Map<String, Object> parmas);
	
	/**
	 * 获取计量点信息，按itemtype：自动、手动、虚拟排序
	 * @param parameters
	 * @return
	 */
	List<TRmCalpoint> selectCalpoints(Map<String, Object> parameters);

	/**
	 * 系统接口管理-能耗数据管理
	 * 
	 * @param parmas
	 * @return
	 */
	List<Map<String, Object>> getInIdDate312(HashMap<String, Object> parmas);
}